# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::PolygonMode Class Reference

RenderState wrapping the OpenGL function glPolygonMode(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPolygonMode.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::PolygonMode:

List of all members.

## Public Member Functions

| PolygonMode (EPolygonMode frontface=PM_FILL, EPolygonMode backface=PM_FILL)
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (EPolygonMode frontface, EPolygonMode backface)
void | setFrontFace (EPolygonMode frontface)
void | setBackFace (EPolygonMode backface)
EPolygonMode | frontFace () const
EPolygonMode | backFace () const
virtual ref< RenderState > | clone () const

## Protected Attributes

EPolygonMode | mFrontFace
EPolygonMode | mBackFace

## Detailed Description

RenderState wrapping the OpenGL function glPolygonMode(), see also http://www.opengl.org/sdk/docs/man/xhtml/glPolygonMode.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 527 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::PolygonMode::PolygonMode | ( | EPolygonMode | frontface = `PM_FILL`,
|  | EPolygonMode | backface = `PM_FILL`
| ) |  | `[inline]`

Definition at line 532 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::PolygonMode::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 537 of file Shader.hpp.

References vl::RS_PolygonMode.

void PolygonMode::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 279 of file Shader.cpp.

References mBackFace, mFrontFace, and VL_CHECK_OGL.

void vl::PolygonMode::set | ( | EPolygonMode | frontface,
|  | EPolygonMode | backface
| ) |  | `[inline]`

Definition at line 541 of file Shader.hpp.

void vl::PolygonMode::setFrontFace | ( | EPolygonMode | frontface ) | `[inline]`

Definition at line 543 of file Shader.hpp.

void vl::PolygonMode::setBackFace | ( | EPolygonMode | backface ) | `[inline]`

Definition at line 545 of file Shader.hpp.

EPolygonMode vl::PolygonMode::frontFace | ( | ) | const`[inline]`

Definition at line 547 of file Shader.hpp.

EPolygonMode vl::PolygonMode::backFace | ( | ) | const`[inline]`

Definition at line 549 of file Shader.hpp.

virtual ref<RenderState> vl::PolygonMode::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 551 of file Shader.hpp.

## Member Data Documentation

EPolygonMode vl::PolygonMode::mFrontFace`[protected]`

Definition at line 559 of file Shader.hpp.

Referenced by apply().

EPolygonMode vl::PolygonMode::mBackFace`[protected]`

Definition at line 560 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:51.
Permission is granted to use this page to write and publish articles regarding Visualization Library.